package pwc.taxtech.atms.dto;

import java.util.List;

public class CellTemplateConfigDto {

    private String cellTemplateID;
    private String templateID;
    private int rowIndex;
    private String rowName;
    private int columnIndex;
    private String columnName;
    private Integer dataType;
    private Integer isReadOnly;
    private boolean hasFormula;
    private String formula;
    private String parsedFormula;
    private String formulaDescription;
    private boolean hasVoucher;
    private List<String> accountCodes;
    private boolean hasInvoice;
    private Integer invoiceType;
    private List<String> taxRate;
    private boolean hasKeyIn;
    private String creator;
    private String updater;
    private Integer invoiceAmountType;
    private boolean hasModel;
    private List<String> modelIDs;
    private List<Integer> invoiceCategory;
    private String formulaDataSource;
    private boolean hasValidation;
    private String validation;
    private String parsedValidation;
    private String validationDescription;
    private String voucherKeyword;


    public String getCellTemplateID() {
        return cellTemplateID;
    }

    public void setCellTemplateID(String cellTemplateID) {
        this.cellTemplateID = cellTemplateID;
    }

    public String getTemplateID() {
        return templateID;
    }

    public void setTemplateID(String templateID) {
        this.templateID = templateID;
    }

    public int getRowIndex() {
        return rowIndex;
    }

    public void setRowIndex(int rowIndex) {
        this.rowIndex = rowIndex;
    }

    public String getRowName() {
        return rowName;
    }

    public void setRowName(String rowName) {
        this.rowName = rowName;
    }

    public int getColumnIndex() {
        return columnIndex;
    }

    public void setColumnIndex(int columnIndex) {
        this.columnIndex = columnIndex;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getIsReadOnly() {
        return isReadOnly;
    }

    public void setIsReadOnly(Integer isReadOnly) {
        this.isReadOnly = isReadOnly;
    }

    public boolean getHasFormula() {
        return hasFormula;
    }

    public void setHasFormula(boolean hasFormula) {
        this.hasFormula = hasFormula;
    }

    public String getFormula() {
        return formula;
    }

    public void setFormula(String formula) {
        this.formula = formula;
    }

    public String getParsedFormula() {
        return parsedFormula;
    }

    public void setParsedFormula(String parsedFormula) {
        this.parsedFormula = parsedFormula;
    }

    public String getFormulaDescription() {
        return formulaDescription;
    }

    public void setFormulaDescription(String formulaDescription) {
        this.formulaDescription = formulaDescription;
    }

    public boolean getHasVoucher() {
        return hasVoucher;
    }

    public void setHasVoucher(boolean hasVoucher) {
        this.hasVoucher = hasVoucher;
    }

    public List<String> getAccountCodes() {
        return accountCodes;
    }

    public void setAccountCodes(List<String> accountCodes) {
        this.accountCodes = accountCodes;
    }

    public boolean getHasInvoice() {
        return hasInvoice;
    }

    public void setHasInvoice(boolean hasInvoice) {
        this.hasInvoice = hasInvoice;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public List<String> getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(List<String> taxRate) {
        this.taxRate = taxRate;
    }

    public boolean getHasKeyIn() {
        return hasKeyIn;
    }

    public void setHasKeyIn(boolean hasKeyIn) {
        this.hasKeyIn = hasKeyIn;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public Integer getInvoiceAmountType() {
        return invoiceAmountType;
    }

    public void setInvoiceAmountType(Integer invoiceAmountType) {
        this.invoiceAmountType = invoiceAmountType;
    }

    public boolean getHasModel() {
        return hasModel;
    }

    public void setHasModel(boolean hasModel) {
        this.hasModel = hasModel;
    }

    public List<String> getModelIDs() {
        return modelIDs;
    }

    public void setModelIDs(List<String> modelIDs) {
        this.modelIDs = modelIDs;
    }

    public List<Integer> getInvoiceCategory() {
        return invoiceCategory;
    }

    public void setInvoiceCategory(List<Integer> invoiceCategory) {
        this.invoiceCategory = invoiceCategory;
    }

    public String getFormulaDataSource() {
        return formulaDataSource;
    }

    public void setFormulaDataSource(String formulaDataSource) {
        this.formulaDataSource = formulaDataSource;
    }

    public boolean getHasValidation() {
        return hasValidation;
    }

    public void setHasValidation(boolean hasValidation) {
        this.hasValidation = hasValidation;
    }

    public String getValidation() {
        return validation;
    }

    public void setValidation(String validation) {
        this.validation = validation;
    }

    public String getParsedValidation() {
        return parsedValidation;
    }

    public void setParsedValidation(String parsedValidation) {
        this.parsedValidation = parsedValidation;
    }

    public String getValidationDescription() {
        return validationDescription;
    }

    public void setValidationDescription(String validationDescription) {
        this.validationDescription = validationDescription;
    }

    public String getVoucherKeyword() {
        return voucherKeyword;
    }

    public void setVoucherKeyword(String voucherKeyword) {
        this.voucherKeyword = voucherKeyword;
    }
}
