package pwc.taxtech.atms.dto;

import java.util.Date;
import java.util.List;

public final class TemplateDto {
    private String ID;
    private String name;
    private String path;
    private Integer reportType;
    private String templateGroupID;
    private Date createTime;
    private Date updateTime;
    private String parentID;
    private String templateName;

    private int orderIndex;

    private String code;

    private boolean isSystemType;

    private boolean isActiveAssociation;

    /**
     * 单元格的配置信息
     */
    private List<CellTemplateDto> cellTemplateDtos;

    /**
     * validate msg
     */
    private String validateMsg;

    public String getID() {
        return ID;
    }

    public void setID(String ID) {
        this.ID = ID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getReportType() {
        return reportType;
    }

    public void setReportType(Integer reportType) {
        this.reportType = reportType;
    }

    public String getTemplateGroupID() {
        return templateGroupID;
    }

    public void setTemplateGroupID(String templateGroupID) {
        this.templateGroupID = templateGroupID;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public int getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(int orderIndex) {
        this.orderIndex = orderIndex;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public boolean getIsSystemType() {
        return this.isSystemType;
    }

    public void setIsSystemType(boolean isSystemType) {
        this.isSystemType = isSystemType;
    }

    public boolean getIsActiveAssociation() {
        return this.isActiveAssociation;
    }

    public void setIsActiveAssociation(boolean isActiveAssociation) {
        this.isActiveAssociation = isActiveAssociation;
    }

    public List<CellTemplateDto> getCellTemplateDtos() {
        return cellTemplateDtos;
    }

    public void setCellTemplateDtos(List<CellTemplateDto> cellTemplateDtos) {
        this.cellTemplateDtos = cellTemplateDtos;
    }

    public String getValidateMsg() {
        return validateMsg;
    }

    public void setValidateMsg(String validateMsg) {
        this.validateMsg = validateMsg;
    }
}
