package pwc.taxtech.atms.service;

import pwc.taxtech.atms.common.ServiceException;
import pwc.taxtech.atms.dto.stdaccount.StandardAccountDto;
import pwc.taxtech.atms.dto.stdaccount.StdAccountFancyTreeDto;

import java.util.List;

public interface StdAccountService {
    List<StdAccountFancyTreeDto> getStdAccountHierarchy(String orgId) throws ServiceException;

    List<StandardAccountDto> GetStdAccountLinkEtsAccount(String orgID, String accountSetID);

    List<StandardAccountDto> getStdAccountByIndustry(String industryID);
}
