package pwc.taxtech.atms.vat.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import pwc.taxtech.atms.vat.dao.*;

public class VatAbstractService {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Autowired
    CompanyBalanceMapper companyBalanceMapper;
    @Autowired
    VatEnterpriseAccountMapper vatEnterpriseAccountMapper;
    @Autowired
    VatStandardAccountMapper vatStandardAccountMapper;
    @Autowired
    InputVATInvoiceMapper inputVATInvoiceMapper;
    @Autowired
    OutputVATInvoiceMapper outputVATInvoiceMapper;
    @Autowired
    CustomsInvoiceMapper customsInvoiceMapper;
    @Autowired
    OutputVATInvoiceItemMapper outputVATInvoiceItemMapper;
    @Autowired
    InputVATInvoiceItemMapper inputVATInvoiceItemMapper;
}
